package cn.com.poc.thirdparty.resource.tianju.api.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: Leon Liu
 * @Date: 2024/4/16 17:35
 */
public class TianWxNewSearch implements Serializable {
    /**
     * 文章唯一ID
     */
    private String id;

    /**
     * 发布时间
     */
    private Date ctime;

    /**
     * 文章标题
     */
    private String title;

    /**
     * 文章描述
     */
    private String description;

    /**
     * 文章封面
     */
    private String picurl;

    /**
     * 文章地址
     */
    private String url;

    /**
     * 公众号名称
     */
    private String username;

    /**
     * 公众号ID
     */
    private String wxnum;

    /**
     * 文章分类
     */
    private String type;

    /**
     * 文章作者
     */
    private String author;

    public String getId() {
        return id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getCtime() {
        return ctime;
    }

    public void setCtime(Date ctime) {
        this.ctime = ctime;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPicurl() {
        return picurl;
    }

    public void setPicurl(String picurl) {
        this.picurl = picurl;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getWxnum() {
        return wxnum;
    }

    public void setWxnum(String wxnum) {
        this.wxnum = wxnum;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }
}
